<?php 
require_once "../modelos/Formapagos.php";

$formapago=new Formapagos();

$idformapago	=	isset($_POST["idformapago"])? limpiarCadena($_POST["idformapago"]):"";
$nombre			=	isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$mformapago		=	isset($_POST["mformapago"])? limpiarCadena($_POST["mformapago"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
	if (empty($idformapago)) {
		$rspta=$formapago->insertar($nombre);
		echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
	}else{
         $rspta=$formapago->editar($idformapago,$nombre);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	}
		break;
	

	case 'desactivar':
		$rspta=$formapago->desactivar($idformapago);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
		break;
	case 'activar':
		$rspta=$formapago->activar($idformapago);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
		break;
	
	case 'mostrar':
		$rspta=$formapago->mostrar($idformapago);
		echo json_encode($rspta);
	break;
	
	case 'buscarMetodosDePago':
		$rspta=$formapago->buscarMetodosDePago($mformapago);
		echo json_encode($rspta);
	break;
	

	case 'selectformapago':
		$rspta=$formapago->select();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un método de pago';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idformapago.'>'.$reg->nombre.'</option>';
		}
	break;	

	case 'selectformapagoc':
		$rspta=$formapago->selectc();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un método de pago';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idformapago.'>'.$reg->nombre.'</option>';
		}
	break;
		
	case 'listar':
		$rspta=$formapago->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idformapago.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idformapago.')">
						<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idformapago.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idformapago.')">
						<i class="fa fa-check"></i></button>',
            "1"=>$reg->nombre,
            "2"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
		break;
}
 ?>